Bug 1340858 (CVE-2016-4955) - CVE-2016-4955 ntp: autokey association reset
Summary: CVE-2016-4955 ntp: autokey association reset
Status: CLOSED WONTFIX
Alias: CVE-2016-4955
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160602,reported=2...
Keywords: Security
Depends On: 1342128
Blocks: 1302226
TreeView+ depends on / blocked
 
Reported: 2016-05-30 12:36 UTC by Martin Prpič
Modified: 2016-10-03 19:48 UTC (History)
4 users (show)

Fixed In Version: ntp 4.2.8p8
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 13:31:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Prpič 2016-05-30 12:36:23 UTC
The following flaw was found in NTP:

An attacker can send a spoofed packet with an invalid MAC or crypto-NAK to a client/peer and reset its association if it's using autokey for authentication. If this can be done often enough, it will prevent that association from working.

Comment 1 Martin Prpič 2016-05-30 12:36:27 UTC
Acknowledgments:

Name: Miroslav Lichvar (Red Hat)

Comment 2 Martin Prpič 2016-06-02 13:39:30 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1342128]

Comment 4 Harkanwal 2016-06-10 10:44:21 UTC
Could anyone suggest any specific reason of closing the bug without fixing it.  Secondly advisory for customers who have these vulnerabilities

Comment 5 Martin Prpič 2016-06-10 11:10:50 UTC
(In reply to Harkanwal from comment #4)
> Could anyone suggest any specific reason of closing the bug without fixing
> it.  Secondly advisory for customers who have these vulnerabilities

Hi, this issue was rated as having a Low security impact. It only affects clients that use autokey authentication, which has various known security problems by itself. Taking this into consideration, the issue is not planned to be fixed. We may revisit this issue in a future minor RHEL release.

Comment 6 Fedora Update System 2016-06-18 18:47:28 UTC
ntp-4.2.6p5-41.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-02 19:26:51 UTC
ntp-4.2.6p5-41.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-02 19:32:39 UTC
ntp-4.2.6p5-41.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Martin Prpič 2016-09-27 07:44:51 UTC
Mitigation:

Disable autokey authentication. Instead, configure ntp to use symmetric key authentication, or no authentication at all (if not required). To configure ntp with symmetric key authentication, follow the steps at https://access.redhat.com/solutions/393663


Note You need to log in before you can comment on or make changes to this bug.